Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Stefan Monnier <[email-masked]>
Date: Tue, 11 Apr 2023 15:44:22 -0400

> Thanks.  I've just tested 'M-x package-update-all' with my patch.  It
> updates the built-in and the manually installed packages that can be
> updated.  It _doesn't_ install any packages that weren't installed yet,
> of course.

Hmm... it might make sense to treat builtins specially in this respect.
Of course, maybe it's OK, but for some reason I feel a bit uncomfortable
with the idea that `M-x package-update-all` would update all the
`:core` packages.

I'm not sure why, admittedly, but I think it comes down to the fact that
the first upgrade of a `:core` package from GNU ELPA feels to me more
like an "install" than an "upgrade".

        Stefan